Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.security
Class AbstractPasswordCredentialLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.resource.security.AbstractPasswordCredentialLoginModule

All Implemented Interfaces:
  LoginModule

Direct Known Subclasses:
  CallerIdentityLoginModule, ConfiguredIdentityLoginModule, JaasSecurityDomainIdentityLoginModule, SecureIdentityLoginModule

public abstract class AbstractPasswordCredentialLoginModule
extends org.jboss.security.auth.spi.AbstractServerLoginModule

A base login module that provides access to the ManagedConnectionFactory needed by the PasswordCredential.

Version:
  $Revision: 1.9 $
Author:
  David Jencks, Scott.Stark@jboss.org
See Also:
  `PasswordCredential`

Field Summary

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`AbstractPasswordCredentialLoginModule()`

Method Summary
`protected javax.resource.spi.ManagedConnectionFactory` | `getMcf()`
`protected javax.management.MBeanServer` | `getServer()`
`void` | `initialize(Subject subject, CallbackHandler handler, Map sharedState, Map options)`
`boolean` | `login()` Return false if there is no mcf, else return super.login().
`boolean` | `logout()`
`protected void` | `removeCredentials()` This removes the javax.security.auth.login.name and javax.security.auth.login.password settings from the sharteState map along with any PasswordCredential found in the PrivateCredentials set

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, createIdentity, getIdentity, getRoleSets, getUnauthenticatedIdentity, getUseFirstPass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPasswordCredentialLoginModule

    public AbstractPasswordCredentialLoginModule()

Method Detail

### initialize

    public void initialize(Subject subject,
                           CallbackHandler handler,
                           Map sharedState,
                           Map options)

### login

    public boolean login()
                  throws LoginException

  Return false if there is no mcf, else return super.login(). Override to provide custom authentication.

  Returns:
    false if there is no mcf, else return super.login().
  Throws:
    `LoginException` - if an error occurs

### logout

    public boolean logout()
                   throws LoginException

  Throws:
    `LoginException`

### getMcf

    protected javax.resource.spi.ManagedConnectionFactory getMcf()

### getServer

    protected javax.management.MBeanServer getServer()

### removeCredentials

    protected void removeCredentials()

  This removes the javax.security.auth.login.name and javax.security.auth.login.password settings from the sharteState map along with any PasswordCredential found in the PrivateCredentials set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.